eID middleware |

# eIDMW::PTEID_ExBadTransaction Class Reference

Exception class Bad Transaction (error code = EIDMW_ERR_BAD_TRANSACTION). More...

`#include <eidlibException.h>`

Inheritance diagram for eIDMW::PTEID_ExBadTransaction:

List of all members.

## Public Member Functions

PTEIDSDK_API | PTEID_ExBadTransaction ()
| Constructor.
virtual PTEIDSDK_API | ~PTEID_ExBadTransaction ()
| Destructor.

## Detailed Description

Exception class Bad Transaction (error code = EIDMW_ERR_BAD_TRANSACTION).

Throw when a class/function is not used correctly Used in : - PTEID_ReaderContext::Lock()

- PTEID_ReaderContext::Unlock()

## Constructor & Destructor Documentation

PTEIDSDK_API eIDMW::PTEID_ExBadTransaction::PTEID_ExBadTransaction | ( |  | ) |

Constructor.

virtual PTEIDSDK_API eIDMW::PTEID_ExBadTransaction::~PTEID_ExBadTransaction | ( |  | ) | `[virtual]`

Destructor.

The documentation for this class was generated from the following file:

- eidlibException.h